--On 14. Juni 2005 09:52:33 -0600 Shane Hathaway <[EMAIL PROTECTED]> wrote:

I've written a patch against the Zope trunk that integrates the
functionality of the VerboseSecurity product into the Zope core.  I've
attached the patch, which is based on Subversion revision 30788.  All
Zope tests pass with the patch, whether verbose security is enabled or
not.  A couple of improvements over the VerboseSecurity product are also
in the patch; in particular, object paths and failed permission names
are displayed more often.

To enable verbose security, apply the patch, recompile and reinstall
using "make", then add the following lines to etc/zope.conf:

  security-policy-implementation python
  verbose-security on

Let me know whether it works for you (reply to the zope-dev list as well.)

This patch supercedes the VerboseSecurity product, so I don't plan to
update the VerboseSecurity product for Zope 2.8.  Should the patch be
included in Zope 2.8.1?

From me: +2


Attachment: pgpIEYyVHIyqe.pgp
Description: PGP signature

Zope-Dev maillist  -  Zope-Dev@zope.org
**  No cross posts or HTML encoding!  **
(Related lists - 
 http://mail.zope.org/mailman/listinfo/zope )

Reply via email to